<?php
	/**
		* @package     Joomla.Site
		* @subpackage  mod_articles_category
		* @author	   web-eau.net
		* @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
		* @license     GNU General Public License version 2 or later; see LICENSE.txt
	*/
	
	defined('_JEXEC') or die;
	
	use Joomla\CMS\Helper\ModuleHelper;
	use Joomla\CMS\Layout\LayoutHelper;
	use Joomla\CMS\HTML\HTMLHelper;
	use Joomla\Utilities\ArrayHelper;
	use Joomla\CMS\Router\Route;
	
	$images  = json_decode($displayData->images);	
	
	if (!$list)
	{
		return;
	}
	
	$img       = HTMLHelper::cleanImageURL($images->image_fulltext);
	$alt       = empty($images->image_fulltext_alt) && empty($images->image_fulltext_alt_empty) ? '' : 'alt="' . htmlspecialchars($images->image_fulltext_alt, ENT_COMPAT, 'UTF-8') . '"';
	
?>

<div class="friend-list">
	<div class="row row-cols-1 row-cols-md-3 g-4<?php echo $moduleclass_sfx; ?>"> <!-- Because we want 3 items per row -->
		
		<?php foreach ($list as $item) : ?>
		
		<div class="col-md-4 col-sm-6">
			
			<div class="friend-card h-100">
				<?php
					$images = json_decode($item->images);
					$item->imageSrc = '';
					$item->imageAlt = '';
					$item->imageCaption = '';
					$item->imageSrc = htmlspecialchars($images->image_fulltext, ENT_COMPAT, 'UTF-8');
					$item->imageAlt = htmlspecialchars($images->image_fulltext_alt, ENT_COMPAT, 'UTF-8');
					if ($images->image_intro_caption)
					{
						$item->imageCaption = htmlspecialchars($images->image_fulltext_caption, ENT_COMPAT, 'UTF-8');
					}
				?>
				<!-- Header banner / Image fulltext -->
				<div class="img-intro pull cover"> 
					
					<div class="img-intro pull-<?php echo htmlspecialchars($images->float_first); ?>"> 
						<figure class="newsflash-image">
							<?php echo LayoutHelper::render(
								'joomla.html.image',
								[
								'src' => $item->imageSrc,
								'alt' => $item->imageAlt,
								]
							); ?>
							<?php if (!empty($item->imageCaption)) : ?>
							<figcaption>
								<?php echo $item->imageCaption; ?>
							</figcaption>
							<?php endif; ?>
						</figure>
					</div>
				</div>
				
				<!-- Avatar / Intro image -->
				<div class="card-info">
					<div class="img-thumbnail img-intro pull"> 
						<?php
							$article_images  = json_decode($item->images);
							$article_image   = '';
							$article_image_alt   = '';
							if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
								$article_image  = $article_images->image_intro;
								$article_image_alt  = $article_images->image_intro_alt;
							}?>  					
							<a href="<?php echo $item->link; ?>">
								<img class="profile-photo-lg" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>" >
							</a>					
					</div>
					
					<div class="friend-info pt-2">
						
						<div class="d-flex justify-content-between">
							
							<!-- Name / Article title -->
							<div class="me-auto">
								<h5><strong>
									<?php if ($params->get('link_titles') == 1) : ?>
									<?php $attributes = ['class' => 'mod-articles-category-title ' . $item->active]; ?>
									<?php $link = htmlspecialchars($item->link, ENT_COMPAT, 'UTF-8', false); ?>
									<?php $title = htmlspecialchars($item->title, ENT_COMPAT, 'UTF-8', false); ?>
									<?php echo HTMLHelper::_('link', $link, $title, $attributes); ?>
									<?php else : ?>
									<?php echo $item->title; ?>
									<?php endif; ?>
								</strong></h5> 
							</div>
							
							<!-- Link / article category -->
							<div class="">								
								<div class="">
									<?php echo $item->displayCategoryTitle; ?>
								</div>							
							</div> 
							
						</div>
						
						<!-- Bio / Intro text -->
						<?php if ($params->get('show_introtext')) : ?>
						<p class="mod-articles-category-introtext small">
							<?php echo $item->displayIntrotext; ?>
						</p>
						<?php endif; ?>
						
					</div>
					
				</div>
			</div>
		</div>                
		<?php endforeach; ?>
	</div>
</div>